#ifndef MISC_FUNC_H
#define MISC_FUNC_H

#define HEX_FORMAT		0x01
#define BASE64_FORMAT		0x02

int IntegerToStringLength(int intlen,
			int format);

int StringToIntegerLength(char * str);

void IntegerToString(unsigned char * intnum, 
		long length, 
		char * string,
		int format);

void StringToInteger(char * string, 
		 char * intnum);

void IntegerToHexString(unsigned char * intnum, 
			long length, 
			char * string);

void HexStringToInteger(char * string, 
			char * intnum);

void IntegerToBase64String(unsigned char * intnum, 
			long length, 
			char * string);

void Base64StringToInteger(char * string, 
			char * intnum);

int IntegerCompare(char * int1, 
		int len1, 
		char * int2, 
		int len2);

void RandomNumberGenerate(char * number, 
			int length);


#endif

