#ifndef MY_MEMORY_H
#define MY_MEMORY_H

#define MEMORY_TABLE_SIZE	512

/*	called to allocate memory and keep a record of it */
extern void *my_kmalloc( unsigned int size, char *id );

/*	called to release memory allocated dynamically above */
extern void my_kfree( void **ptr, char *id );

/*	"prints" statistics on my memory usage into buf,
	returns no. of chars printed.
*/
extern int print_my_kmemory( char *buf );


/*	called only once, at very end when module is unloaded,
	to check for any allocated but not freed memory */
extern void my_kempty( void );

#endif /* MY_MEMORY_H */
